﻿<?php
// Throw utf-8 encoding
header('Content-type: text/html; charset=utf-8');

function post_content ($url,$postdata) {
	$uagent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)";

	$ch = curl_init( $url );
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_ENCODING, "");
	curl_setopt($ch, CURLOPT_USERAGENT, $uagent);  // useragent
	curl_setopt($ch, CURLOPT_TIMEOUT, 120);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata);
	curl_setopt($ch, CURLOPT_COOKIEJAR, "c://coo.txt");
	curl_setopt($ch, CURLOPT_COOKIEFILE,"c://coo.txt");

	$content = curl_exec( $ch );
	$err     = curl_errno( $ch );
	$errmsg  = curl_error( $ch );
	$header  = curl_getinfo( $ch );
	curl_close( $ch );

	$header['errno']   = $err;
	$header['errmsg']  = $errmsg;
	$header['content'] = $content;
	return $header;
}



// Login to access the platform smspro.biz
$login = "login";

// Pasword to access the platform smspro.biz
$password = "passwd";

// SMS text - text of any length (up to 800 characters). If necessary, the smspro.biz platform will automatically cut the text into several messages.
$sms_text = "Test SMS message text!";

// Unique Transaction Identifier. Must be new for each message or message package. 
// In this example, it is hardcoded. Using this ID, you can get a message delivery report.
$transactionId = "123456";

// Sender name. MUST BE ALLOWED by the moderator of smspro.biz!
// It can be either Latin text, or numbers, or a phone number (as negotiated with smspro.biz)
$sender_id = "smspro.biz";

// SMS recipient's phone number in international format.
// In one send transaction, you can specify more than 1 phone number.
$phone = "8801812345678";

// XML request to smspro.biz platform:
$xml = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>".
	"<message>".
		"<login>" . $login . "</login>".
		"<pwd>" . $password . "</pwd>".
		"<id>" . $transactionId . "</id>".
		"<sender>" . $sender_id . "</sender>".
		"<text>" . $sms_text . "</text>".
		// "<time>20101118214600</time>".		// You can specify the delayed sending time for this message.
		"<phones>".
		"<phone>" . $phone . "</phone>".
		// "<phone>8801812345679</phone>".		// You can specify additional phone numbers
		"</phones>".
		//"<test>1</test>".					// If you uncomment this line, then SMS will not be sent in fact and will not be charged
	"</message>";	
	
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SMS sending page using smspro.biz gateway</title>
</head>
<body>
<h1>SMS sending page using smspro.biz gateway</h1>
<hr>
<h4>Sent XML request:</h4>
<code>
	<?=htmlspecialchars($xml) ?>
</code>

<h4>Result:</h4>
<?
// SMS sending process

try {
	$url = "http://smspro.biz/api/message";

	$result = post_content( $url, $xml );
	$html = $result['content'];

	// smspro.biz server response
	$responceXML = htmlspecialchars($html);
	?>
	
	HTTP connection to the server smspro.biz has occured.<br>
	Server response:<br>
	<code><?=$responceXML ?></code>
	
	<?    	
} catch(Exception $e) {
	echo 'Caught exception: ',  $e->getMessage(), "\n";
	var_dump($e->getTrace());
}
?>

</body>
</html>