﻿<?php
// Throw utf-8 encoding
header('Content-type: text/html; charset=utf-8');

function post_content ($url,$postdata) {
	$uagent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)";

	$ch = curl_init( $url );
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_ENCODING, "");
	curl_setopt($ch, CURLOPT_USERAGENT, $uagent);  // useragent
	curl_setopt($ch, CURLOPT_TIMEOUT, 120);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata);
	curl_setopt($ch, CURLOPT_COOKIEJAR, "c://coo.txt");
	curl_setopt($ch, CURLOPT_COOKIEFILE,"c://coo.txt");

	$content = curl_exec( $ch );
	$err     = curl_errno( $ch );
	$errmsg  = curl_error( $ch );
	$header  = curl_getinfo( $ch );
	curl_close( $ch );

	$header['errno']   = $err;
	$header['errmsg']  = $errmsg;
	$header['content'] = $content;
	return $header;
}	

// Login to access the platform smspro.biz
$login = "login";

// Pasword to access the platform smspro.biz
$password = "passwd";
 
// Transaction ID used when sending SMS
$transactionId = "123456";

// XML request to smspro.biz platform:
$xml = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>".
	"<dr>".		
	"<login>" . $login . "</login>".
	"<pwd>" . $password . "</pwd>".
	"<id>" . $transactionId . "</id>".
	// "<phone>8801812345678</phone>".		// If sending was carried out simultaneously on several recipients, then you can request a report for one specific phone
	"</dr>";	
		
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>The page for receiving the SMS delivery report sent via the smspro.biz gateway</title>
</head>
<body>
<h1>The page for receiving the SMS delivery report sent via the smspro.biz gateway</h1>
<hr>
<h4>Sent XML request:</h4>
<code>
	<?=htmlspecialchars($xml) ?>
</code>

<h4>Result:</h4>
<?
// Request sending process

try {
	$url = "http://smspro.biz/api/dr";

	$result = post_content( $url, $xml );
	$html = $result['content'];

	// smspro.biz server response
	$responceXML = htmlspecialchars($html);
	?>
	
	HTTP connection to the server smspro.biz has occured.<br>
	Server response:<br>
	<code><?=$responceXML ?></code>
	
	<?    	
} catch(Exception $e) {
	echo 'Caught exception: ',  $e->getMessage(), "\n";
	var_dump($e->getTrace());
}
?>

</body>
</html>